# sourcelanguage.h File Reference

the SourceLanguage class More...

`#include <glibmm.h>`
`#include <glibmm/object.h>`
`#include <gtksourceviewmm/sourcestylescheme.h>`

Go to the source code of this file.

## Namespaces
namespace | gtksourceview
namespace | Glib
## Classes
class | gtksourceview::SourceLanguage
| The abstraction of a language. More...
## Typedefs
typedef struct _GtkSourceLanguage | GtkSourceLanguage
typedef struct _GtkSourceLanguageClass | GtkSourceLanguageClass

## Detailed Description

the SourceLanguage class

## Typedef Documentation

typedef struct _GtkSourceLanguage GtkSourceLanguage

typedef struct _GtkSourceLanguageClass GtkSourceLanguageClass